package com.agilex.healthcare.schedulingmanager.pdf;

import com.lowagie.text.Font;
import com.lowagie.text.FontFactory;

import java.awt.*;

public class Stylesheet {
	private static Font normal = FontFactory.getFont(FontFactory.HELVETICA, 10, Font.NORMAL, Color.BLACK);
	private static Font bold = FontFactory.getFont(FontFactory.HELVETICA_BOLD, 10, Font.NORMAL, Color.BLACK);
	private static Font boldLarge = FontFactory.getFont(FontFactory.HELVETICA_BOLD, 12, Font.NORMAL, Color.BLACK);
	private static Font italic = FontFactory.getFont(FontFactory.TIMES_ITALIC, 10, Font.NORMAL, Color.BLACK);
	private static Font italicLarge = FontFactory.getFont(FontFactory.TIMES_ITALIC, 12, Font.NORMAL, Color.BLACK);
	private static Font italicUnderline = FontFactory.getFont(FontFactory.TIMES_ITALIC, 10, Font.UNDERLINE, Color.BLACK);
	private static Font blue = FontFactory.getFont(FontFactory.HELVETICA, 15, Font.NORMAL, Color.BLUE);
	private static Font blueItalic = FontFactory.getFont(FontFactory.TIMES_ITALIC, 15, Font.NORMAL, Color.BLUE);
	private static Font blueBoldItalic = FontFactory.getFont(FontFactory.HELVETICA, 15, Font.BOLDITALIC, Color.BLUE);
	private static Font h1 = FontFactory.getFont(FontFactory.HELVETICA, 15, Font.NORMAL, Color.WHITE);
	private static Font h2 = FontFactory.getFont(FontFactory.HELVETICA_BOLD, 15, Font.NORMAL, Color.BLACK);
	private static Font h3 = FontFactory.getFont(FontFactory.HELVETICA, 12, Font.NORMAL, Color.BLACK);

	private static Color tableHeader = new Color(0xff, 0xff, 0xff);
	private static Color tableRow1 = Color.WHITE;
	private static Color tableRow2 = new Color(0xff, 0xff, 0xcc);
	private static Color infoTableKey = Color.LIGHT_GRAY;
	private static Color infoTableValue = Color.WHITE;
	
	public static Font getNormal() {
		return normal;
	}

	public static Font getBold() {
		return bold;
	}

	public static Font getBoldLarge() {
		return boldLarge;
	}

	public static Font getBlue() {
		return blue;
	}

	public static Font getBlueItalic() {
		return blueItalic;
	}

	public static Font getBlueBoldItalic() {
		return blueBoldItalic;
	}

	public static Font getH1() {
		return h1;
	}

	public static Font getH2() {
		return h2;
	}
	
	public static Font getH3() {
		return h3;
	}

	public static Font getItalic() {
		return italic;
	}

	public static Font getItalicLarge() {
		return italicLarge;
	}
	
	public static Font getItalicUnderline() {
		return italicUnderline;
	}

	public static Color getTableHeader() {
		return tableHeader;
	}

	public static Color getTableRow1() {
		return tableRow1;
	}

	public static Color getTableRow2() {
		return tableRow2;
	}

	public static Color getInfoTableKey() {
		return infoTableKey;
	}

	public static Color getInfoTableValue() {
		return infoTableValue;
	}
}
